"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Care = void 0;
const hap_nodejs_1 = require("hap-nodejs");
const characteristics_1 = require("./characteristics");
class Care extends hap_nodejs_1.Service {
    static UUID = "00000111-0000-0000-0000-000000000000";
    constructor(displayName, subType) {
        super(displayName, Care.UUID, subType);
        this.addCharacteristic(characteristics_1.CareSensors);
        this.addCharacteristic(characteristics_1.CareFilter);
        this.addCharacteristic(characteristics_1.CareSideBrush);
        this.addCharacteristic(characteristics_1.CareMainBrush);
    }
}
exports.Care = Care;
//# sourceMappingURL=care_service.js.map