"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CareSideBrush = void 0;
const hap_nodejs_1 = require("hap-nodejs");
class CareSideBrush extends hap_nodejs_1.Characteristic {
    static UUID = "00000103-0000-0000-0000-000000000000";
    constructor() {
        super("Care indicator side brush", CareSideBrush.UUID, {
            format: "float" /* Characteristic.Formats.FLOAT */,
            unit: "%",
            perms: ["pr" /* Characteristic.Perms.READ */, "ev" /* Characteristic.Perms.NOTIFY */],
        });
        this.value = this.getDefaultValue();
    }
}
exports.CareSideBrush = CareSideBrush;
//# sourceMappingURL=care_side_brush.js.map