"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CareFilter = void 0;
const hap_nodejs_1 = require("hap-nodejs");
class CareFilter extends hap_nodejs_1.Characteristic {
    static UUID = "00000102-0000-0000-0000-000000000000";
    constructor() {
        super("Care indicator filter", CareFilter.UUID, {
            format: "float" /* Characteristic.Formats.FLOAT */,
            unit: "%",
            perms: ["pr" /* Characteristic.Perms.READ */, "ev" /* Characteristic.Perms.NOTIFY */],
        });
        this.value = this.getDefaultValue();
    }
}
exports.CareFilter = CareFilter;
//# sourceMappingURL=care_filter.js.map