"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CareMainBrush = void 0;
const hap_nodejs_1 = require("hap-nodejs");
class CareMainBrush extends hap_nodejs_1.Characteristic {
    static UUID = "00000104-0000-0000-0000-000000000000";
    constructor() {
        super("Care indicator main brush", CareMainBrush.UUID, {
            format: "float" /* Characteristic.Formats.FLOAT */,
            unit: "%",
            perms: ["pr" /* Characteristic.Perms.READ */, "ev" /* Characteristic.Perms.NOTIFY */],
        });
        this.value = this.getDefaultValue();
    }
}
exports.CareMainBrush = CareMainBrush;
//# sourceMappingURL=care_main_brush.js.map