"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CareSensors = void 0;
const hap_nodejs_1 = require("hap-nodejs");
class CareSensors extends hap_nodejs_1.Characteristic {
    static UUID = "00000101-0000-0000-0000-000000000000";
    constructor() {
        super("Care indicator sensors", CareSensors.UUID, {
            format: "float" /* Characteristic.Formats.FLOAT */,
            unit: "%",
            perms: ["pr" /* Characteristic.Perms.READ */, "ev" /* Characteristic.Perms.NOTIFY */],
        });
        this.value = this.getDefaultValue();
    }
}
exports.CareSensors = CareSensors;
//# sourceMappingURL=care_sensors.js.map